Package wx :: Class App

[frames | no frames]

## Type App

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                 PyApp --+
                         |
                        App

Known Subclasses:
  `App`, `App`, `App`, `App`, `App`, `App`, `InspectableApp`, `PySimpleApp`, `PyWidgetTester`

The `wx.App` class represents the application and is used to:

> - bootstrap the wxPython system and initialize the underlying gui toolkit
> - set and get application-wide properties
> - implement the windowing system main message or event loop, and to dispatch events to window instances
> - etc.

Every application must have a `wx.App` instance, and all creation of UI objects should be delayed until after the `wx.App` object has been created in order to ensure that the gui platform and wxWidgets have been fully initialized.

Normally you would derive from this class and implement an `OnInit` method that creates a frame and then calls `self.SetTopWindow(frame)`.

See Also:

`wx.PySimpleApp` for a simpler app class that can be used directly.

Method Summary
| ``__init__`(self, redirect, filename, useBestVisual, clearSigInt)` Construct a `wx.App` object.
| `__del__(self, destroy)`
| `Destroy(self)`
| ``MainLoop`(self)` Execute the main GUI event loop
| ``OnPreInit`(self)` Things that must be done after _BootstrapApp has done its thing, but would be nice if they were already done by the time that OnInit is called.
| ``RedirectStdio`(self, filename)` Redirect sys.stdout and sys.stderr to a file or a popup window.
| `RestoreStdio(self)`
| ``SetOutputWindowAttributes`(self, title, pos, size)` Set the title, position and/or size of the output window if the stdio has been redirected.
| ``SetTopWindow`(self, frame)` Set the "main" top level window

Property Summary

Class Variable Summary
`classobj` | `outputWindowClass` = `wx.PyOnDemandOutputWindow`

Instance Method Details

### __init__(self, redirect=False, filename=None, useBestVisual=False, clearSigInt=True)
(Constructor)

Construct a `wx.App` object.

  Parameters:
    `redirect` - Should `sys.stdout` and `sys.stderr` be redirected? Defaults to True on Windows and Mac, False otherwise. If `filename` is None then output will be redirected to a window that pops up as needed. (You can control what kind of window is created for the output by resetting the class variable `outputWindowClass` to a class of your choosing.)

    `filename` - The name of a file to redirect output to, if redirect is True.

    `useBestVisual` - Should the app try to use the best available visual provided by the system (only relevant on systems that have more than one visual.) This parameter must be used instead of calling `SetUseBestVisual` later on because it must be set before the underlying GUI toolkit is initialized.

    `clearSigInt` - Should SIGINT be cleared? This allows the app to terminate upon a Ctrl-C in the console like other GUI apps will.

  Overrides:
    `wx.PyApp.__init__`

  Note:

  You should override OnInit to do applicaition initialization to ensure that the system, toolkit and wxWidgets are fully initialized.

### MainLoop(self)

Execute the main GUI event loop

  Overrides:
    `wx.PyApp.MainLoop`

### OnPreInit(self)

Things that must be done after _BootstrapApp has done its thing, but would be nice if they were already done by the time that OnInit is called.

### RedirectStdio(self, filename=None)

Redirect sys.stdout and sys.stderr to a file or a popup window.

### SetOutputWindowAttributes(self, title=None, pos=None, size=None)

Set the title, position and/or size of the output window if the stdio has been redirected. This should be called before any output would cause the output window to be created.

### SetTopWindow(self, frame)

Set the "main" top level window

  Overrides:
    `wx.PyApp.SetTopWindow`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:30 2007 | http://epydoc.sf.net